<?php
namespace Sifency\Traits;

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

trait Sifency_Separator_Content_Controls_Trait {
	protected function add_sifency_separator_content_controls() {
		// --- Content Tab: Separator Settings ---
		$this->start_controls_section(
			'section_separator_content',
			[
				'label' => esc_html__( 'Separator', 'sifency-addons' ),
			]
		);

		$this->add_control(
			'show_separator',
			[
				'label'        => esc_html__( 'Show Separator', 'sifency-addons' ),
				'type'         => Controls_Manager::SWITCHER,
				'label_on'     => esc_html__( 'Show', 'sifency-addons' ),
				'label_off'    => esc_html__( 'Hide', 'sifency-addons' ),
				'return_value' => 'yes',
				'default'      => 'yes',
			]
		);

		$this->add_control(
			'separator_text',
			[
				'label'       => esc_html__( 'Separator Text', 'sifency-addons' ),
				'type'        => Controls_Manager::TEXT,
				'default'     => ':',
				'placeholder' => ':',
				'condition'   => [
					'show_separator' => 'yes',
				],
			]
		);

		$this->end_controls_section();
	}
}